<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования раздела XSL-шаблонов.
 * 
 * Файл: /admin/xsl/action/add_xls_dir.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$xsl = new xsl();

$param = array();


if (isset($_POST["xsl_dir_id"]))
{
	$type = 1 ;
	$xsl_dir_id = to_int($_POST["xsl_dir_id"]);
}
else 
{
	$type = 0;
	$xsl_dir_id = 0;
}

$param['type'] = $type;
$param['xsl_dir_id'] = $xsl_dir_id; 
$param['xsl_dir_parent_id'] = to_int($_POST['edit_xsl_dir_parent_id']);
$param['xsl_dir_name'] = to_str($_POST['xsl_dir_name']);
$param['xsl_dir_order'] = to_int($_POST['xsl_dir_order']);

if ($insert_xsl_dir_id = $xsl->InsertXslDir($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddXslDir', 'xsl_dir_id', '<?php echo $insert_xsl_dir_id?>');
	</script><?php

	// Раздел успешно изменен
	if ($type)
	{
		show_message($GLOBALS['MSG_xsl']['XSL_edit_dir_success']);
	}
	else // Раздел успешно добавлен
	{
		show_message($GLOBALS['MSG_xsl']['XSL_add_dir_success']);
	}	
}
else // Ошибка добавления/редактирования раздела
{
	// Ошибка изменения раздела
	if ($type)
	{
		show_error_message($GLOBALS['MSG_xsl']['XSL_edit_dir_error']);
	}
	else // Ошибка добавления раздела
	{
		show_error_message($GLOBALS['MSG_xsl']['XSL_add_dir_error']);
	}	
}
?>